Starmade | Turrets on ships built in shipyard do not inherit AI settings.
Closed, FinishedPublic

Description

After constructing a ship using shipyards, any AI blocks on turrets or ships mounted to it are set to "Ship-Any".

Reproduced in SP and MP with multiple different designs. This is only using shipyards. Spawning in with blueprints does not reproduce this issue.

Details

Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19431
Issue Type
Bug
Category
Control Block System: Shipyards
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Video Card Model
XFX Radeon R9 290X 4GB
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Comr4de created this task.Sep 9 2015, 1:25 PM
Comr4de changed Category from none/unspecified to Control Block System: Rails/Docking.
Comr4de changed Affected Gamemode(s) from none/unspecified to Single and Multi.
Comr4de changed Reproducible from uncertain to Yes.
Comr4de set Video Card Model to XFX Radeon R9 290X 4GB.
Comr4de edited Serverconfig (server.cfg). (Show Details)
Comr4de edited Clientconfig (settings.cfg). (Show Details)
Comr4de added a subscriber: Comr4de.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptSep 9 2015, 1:25 PM
AndyP claimed this task.Sep 10 2015, 12:39 AM
AndyP triaged this task as "Normal" priority.
AndyP shifted this object from the S1 Public space to the S3 Starmade space.
AndyP changed the visibility from "Custom Policy" to "Public (No Login Required)".
AndyP changed the edit policy from "Task Author" to "Starmade (Project)".
AndyP set Issue Type to Bug.
AndyP changed Reproducible from Yes to uncertain.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.

-Validated-

AndyP removed AndyP as the assignee of this task.Sep 10 2015, 12:43 AM
AndyP added a subscriber: AndyP.
NuclearFun changed Reproducible from uncertain to Yes.
NuclearFun set Last tested (version) to 0.19431.
NuclearFun changed the task status from "Open" to "In Queue (Game)".Sep 11 2015, 5:08 PM

-Confirmed-

How to reproduce: convert a blueprint with turrets (like anti missile turrets) to a design -> load the design (here the settings are still correct) -> let the design to be built by the shipyard -> turrets now in standard "ships"/"any" settings

applies also to display blocks and mostlikely storage filters not being rebuild from the design.

havnt tested it but i thought i had seen someone talking about it and the display issue i have experienced myself

AndyP raised the priority of this task from "Normal" to "Release Blocker".
AndyP lowered the priority of this task from "Release Blocker" to "High".
AndyP lowered the priority of this task from "High" to "Normal".Sep 14 2015, 12:21 PM
AndyP changed Category from Control Block System: Rails/Docking to Control Block System: Shipyards.Oct 26 2015, 10:30 PM
AndyP removed NuclearFun as the assignee of this task.Dec 20 2015, 11:03 PM

Assignee 'NuclearFun' left the testing team.

AndyP raised the priority of this task from "Normal" to "Release Blocker".Mar 8 2016, 8:30 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 19 2016, 9:06 PM
schema added a subscriber: schema.
Restricted Application added a subscriber: Megacrafter127. · View Herald Transcript
lancake claimed this task.Mar 19 2016, 11:52 PM
lancake added a subscriber: lancake.
This comment was removed by lancake.
lancake closed this task as "Closed".
Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 19 2016, 11:53 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
lancake reopened this task as "Resolved".Mar 19 2016, 11:53 PM

Closed wrong one

lancake closed this task as "Closed".Mar 20 2016, 12:11 AM

-QA Testing-

Fix confirmed.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 20 2016, 12:11 AM

Add Comment